require 'mkmf'
create_makefile('msise90')

File.rename("Makefile","Makefile.orig")
oldmkfl = File.open("Makefile.orig")
newmkfl = File.open("Makefile","w")
oldmkfl.each_line{ |line|
   case(line)
   when /^\.SUFFIX/
      newmkfl.puts(".SUFFIXES:\n.SUFFIXES: .f .c .cc .m .cxx .cpp .C .o\n")
   when /^LOCAL_LIBS *=/
      newmkfl.puts("LOCAL_LIBS = -L/usr/local/opt/SUNWspro/SC4.0/lib -lF77 -lM77 -lV77 -lsunmath\nFC = f77\nFFLAGS = -PIC")
   else
      newmkfl.puts(line)
   end
}
newmkfl.puts( <<EOS
.f.o:
	$(FC) $(FFLAGS) -c -o $@ $<
EOS
)
newmkfl.close


